# -*- coding: utf-8 -*-
"""
Created on Fri Feb 18 11:05:22 2022

@author: pwiechen
"""
#%%
import numpy as np   
import pandas as pd            
import os

%matplotlib qt 

dir_path = os.path.dirname(os.path.abspath(__file__))
os.chdir(dir_path)

print(dir_path)

#%% Extraction tops for instrument heights

instrument = 'S10_JFE_04'

types_dict = {'description': str,'date':str, 'time_raw':str, 'x_val': float, 'y_val': float, 'z_val': float, '2d_error': float, '3d_error': float}
max_error = 0.05 

gps_20211109 = pd.read_csv(r'../../GPS/20211109/20211109_INSTRUMENTS.txt', usecols=[0,1,2,3,4,5,6,7], index_col=False,delim_whitespace=True, skipinitialspace=True, names=['description','date', 'time_raw', 'x_val', 'y_val', 'z_val', '2d_error', '3d_error'], dtype=types_dict, parse_dates={'time':['date', 'time_raw']})
gps_20211109 = gps_20211109.drop(gps_20211109[gps_20211109['3d_error'] > max_error].index)
if np.logical_or(gps_20211109.description.str.contains(instrument+'_SEN'), gps_20211109.description.str.contains(instrument+'_TOP')).any():
    gps_inst_20211109 = np.mean(gps_20211109[gps_20211109.description.str.contains(instrument + '_TOP' + '|' + instrument +'_SEN')].values[:,2:], axis=0)
else:
    gps_inst_20211109 = np.ones(5)*np.nan

gps_20211111 = pd.read_csv(r'../../GPS/20211111/20211111_INSTRUMENTS.txt', usecols=[0,1,2,3,4,5,6,7], index_col=False,delim_whitespace=True, skipinitialspace=True, names=['description','date', 'time_raw', 'x_val', 'y_val', 'z_val', '2d_error', '3d_error'], dtype=types_dict, parse_dates={'time':['date', 'time_raw']})
gps_20211111 = gps_20211111.drop(gps_20211111[gps_20211111['3d_error'] > max_error].index)
if np.logical_or(gps_20211111.description.str.contains(instrument+'_SEN'), gps_20211111.description.str.contains(instrument+'_TOP')).any():
    gps_inst_20211111 = np.mean(gps_20211111[gps_20211111.description.str.contains(instrument + '_TOP' + '|' + instrument +'_SEN')].values[:,2:], axis=0)
else:
    gps_inst_20211111 = np.ones(5)*np.nan

gps_20211125 = pd.read_csv(r'../../GPS/20211125/20211125_INSTRUMENTS.txt', usecols=[0,1,2,3,4,5,6,7], index_col=False,delim_whitespace=True, skipinitialspace=True, names=['description','date', 'time_raw', 'x_val', 'y_val', 'z_val', '2d_error', '3d_error'], dtype=types_dict, parse_dates={'time':['date', 'time_raw']})
gps_20211125 = gps_20211125.drop(gps_20211125[gps_20211125['3d_error'] > max_error].index)
if np.logical_or(gps_20211125.description.str.contains(instrument+'_SEN'), gps_20211125.description.str.contains(instrument+'_TOP')).any():
    gps_inst_20211125 = np.mean(gps_20211125[gps_20211125.description.str.contains(instrument + '_TOP' + '|' + instrument +'_SEN')].values[:,2:], axis=0)
else:
    gps_inst_20211125 = np.ones(5)*np.nan

gps_20211130 = pd.read_csv(r'../../GPS/20211130/20211130_INSTRUMENTS.txt', usecols=[0,1,2,3,4,5,6,7], index_col=False,delim_whitespace=True, skipinitialspace=True, names=['description','date', 'time_raw', 'x_val', 'y_val', 'z_val', '2d_error', '3d_error'], dtype=types_dict, parse_dates={'time':['date', 'time_raw']})
gps_20211130 = gps_20211130.drop(gps_20211130[gps_20211130['3d_error'] > max_error].index)
if np.logical_or(gps_20211130.description.str.contains(instrument+'_SEN'), gps_20211130.description.str.contains(instrument+'_TOP')).any():
    gps_inst_20211130 = np.mean(gps_20211130[gps_20211130.description.str.contains(instrument + '_TOP' + '|' + instrument +'_SEN')].values[:,2:], axis=0)
else:
    gps_inst_20211130 = np.ones(5)*np.nan

gps_20211203 = pd.read_csv(r'../../GPS/20211203/20211203_INSTRUMENTS.txt', usecols=[0,1,2,3,4,5,6,7], index_col=False,delim_whitespace=True, skipinitialspace=True, names=['description','date', 'time_raw', 'x_val', 'y_val', 'z_val', '2d_error', '3d_error'], dtype=types_dict, parse_dates={'time':['date', 'time_raw']})
gps_20211203 = gps_20211203.drop(gps_20211203[gps_20211203['3d_error'] > max_error].index)
if np.logical_or(gps_20211203.description.str.contains(instrument+'_SEN'), gps_20211203.description.str.contains(instrument+'_TOP')).any():
    gps_inst_20211203 = np.mean(gps_20211203[gps_20211203.description.str.contains(instrument + '_TOP' + '|' + instrument +'_SEN')].values[:,2:], axis=0)
else:
    gps_inst_20211203 = np.ones(5)*np.nan

gps_20211204 = pd.read_csv(r'../../GPS/20211204/20211204_INSTRUMENTS.txt', usecols=[0,1,2,3,4,5,6,7], index_col=False,delim_whitespace=True, skipinitialspace=True, names=['description','date', 'time_raw', 'x_val', 'y_val', 'z_val', '2d_error', '3d_error'], dtype=types_dict, parse_dates={'time':['date', 'time_raw']})
gps_20211204 = gps_20211204.drop(gps_20211204[gps_20211204['3d_error'] > max_error].index)
if np.logical_or(gps_20211204.description.str.contains(instrument+'_SEN'), gps_20211204.description.str.contains(instrument+'_TOP')).any():
    gps_inst_20211204 = np.mean(gps_20211204[gps_20211204.description.str.contains(instrument + '_TOP' + '|' + instrument +'_SEN')].values[:,2:], axis=0)
else:
    gps_inst_20211204 = np.ones(5)*np.nan

gps_20211206 = pd.read_csv(r'../../GPS/20211206/20211206_INSTRUMENTS.txt', usecols=[0,1,2,3,4,5,6,7], index_col=False,delim_whitespace=True, skipinitialspace=True, names=['description','date', 'time_raw', 'x_val', 'y_val', 'z_val', '2d_error', '3d_error'], dtype=types_dict, parse_dates={'time':['date', 'time_raw']})
gps_20211206 = gps_20211206.drop(gps_20211206[gps_20211206['3d_error'] > max_error].index)
if np.logical_or(gps_20211206.description.str.contains(instrument+'_SEN'), gps_20211206.description.str.contains(instrument+'_TOP')).any():
    gps_inst_20211206 = np.mean(gps_20211206[gps_20211206.description.str.contains(instrument + '_TOP' + '|' + instrument +'_SEN')].values[:,2:], axis=0)
else:
    gps_inst_20211206 = np.ones(5)*np.nan

gps_20211210 = pd.read_csv(r'../../GPS/20211210/20211210_INSTRUMENTS.txt', usecols=[0,1,2,3,4,5,6,7], index_col=False,delim_whitespace=True, skipinitialspace=True, names=['description','date', 'time_raw', 'x_val', 'y_val', 'z_val', '2d_error', '3d_error'], dtype=types_dict, parse_dates={'time':['date', 'time_raw']})
gps_20211210 = gps_20211210.drop(gps_20211210[gps_20211210['3d_error'] > max_error].index)
if np.logical_or(gps_20211210.description.str.contains(instrument+'_SEN'), gps_20211210.description.str.contains(instrument+'_TOP')).any():
    gps_inst_20211210 = np.mean(gps_20211210[gps_20211210.description.str.contains(instrument + '_TOP' + '|' + instrument +'_SEN')].values[:,2:], axis=0)
else:
    gps_inst_20211210 = np.ones(5)*np.nan

gps_20211212 = pd.read_csv(r'../../GPS/20211212/20211212_INSTRUMENTS.txt', usecols=[0,1,2,3,4,5,6,7], index_col=False,delim_whitespace=True, skipinitialspace=True, names=['description','date', 'time_raw', 'x_val', 'y_val', 'z_val', '2d_error', '3d_error'], dtype=types_dict, parse_dates={'time':['date', 'time_raw']})
gps_20211212 = gps_20211212.drop(gps_20211212[gps_20211212['3d_error'] > max_error].index)
if np.logical_or(gps_20211212.description.str.contains(instrument+'_SEN'), gps_20211212.description.str.contains(instrument+'_TOP')).any():
    gps_inst_20211212 = np.mean(gps_20211212[gps_20211212.description.str.contains(instrument + '_TOP' + '|' + instrument +'_SEN')].values[:,2:], axis=0)
else:
    gps_inst_20211212 = np.ones(5)*np.nan


print(gps_20211109['time'][0], 'x = ', '%.4f' % round(gps_inst_20211109[0],4), 'y = ',  '%.4f' % round(gps_inst_20211109[1],4), 'z = ',  '%.4f' % round(gps_inst_20211109[2],4))
print(gps_20211111['time'][0], 'x = ', '%.4f' % round(gps_inst_20211111[0],4), 'y = ',  '%.4f' % round(gps_inst_20211111[1],4), 'z = ',  '%.4f' % round(gps_inst_20211111[2],4))
print(gps_20211125['time'][0], 'x = ', '%.4f' % round(gps_inst_20211125[0],4), 'y = ',  '%.4f' % round(gps_inst_20211125[1],4), 'z = ',  '%.4f' % round(gps_inst_20211125[2],4))
print(gps_20211130['time'][0], 'x = ', '%.4f' % round(gps_inst_20211130[0],4), 'y = ',  '%.4f' % round(gps_inst_20211130[1],4), 'z = ',  '%.4f' % round(gps_inst_20211130[2],4))
print(gps_20211203['time'][0], 'x = ', '%.4f' % round(gps_inst_20211203[0],4), 'y = ',  '%.4f' % round(gps_inst_20211203[1],4), 'z = ',  '%.4f' % round(gps_inst_20211203[2],4))
print(gps_20211204['time'][0], 'x = ', '%.4f' % round(gps_inst_20211204[0],4), 'y = ',  '%.4f' % round(gps_inst_20211204[1],4), 'z = ',  '%.4f' % round(gps_inst_20211204[2],4))
print(gps_20211206['time'][0], 'x = ', '%.4f' % round(gps_inst_20211206[0],4), 'y = ',  '%.4f' % round(gps_inst_20211206[1],4), 'z = ',  '%.4f' % round(gps_inst_20211206[2],4))
print(gps_20211210['time'][0], 'x = ', '%.4f' % round(gps_inst_20211210[0],4), 'y = ',  '%.4f' % round(gps_inst_20211210[1],4), 'z = ',  '%.4f' % round(gps_inst_20211210[2],4))
print(gps_20211212['time'][0], 'x = ', '%.4f' % round(gps_inst_20211212[0],4), 'y = ',  '%.4f' % round(gps_inst_20211212[1],4), 'z = ',  '%.4f' % round(gps_inst_20211212[2],4))

#%%