# -*- coding: utf-8 -*-
"""
Created on Fri Feb 18 11:05:22 2022

@author: pwiechen
"""
#%%
import numpy as np   
import pandas as pd            
import os
from datetime import datetime
import netCDF4 as nc4

dir_path = os.path.dirname(os.path.abspath(__file__))
os.chdir(dir_path)

print(dir_path)

storm_begin_nov = datetime(2021,11,7,0,0,0)
storm_end_nov = datetime(2021,11,8,12,0,0)
storm_begin_dec = datetime(2021,12,1,8,0,0)
storm_end_dec = datetime(2021,12,2,16,0,0)
storm_begin_jan = datetime(2022,1,5,0,0,0)
storm_end_jan = datetime(2022,1,6,12,0,0)

#%% Creation of Netcdf
'''
h_bed_new[:] = np.array([np.nan,np.nan,XXX,XXX,XXX,XXX,XXX,XXX,XXX,XXX,
                         XXX,XXX,XXX,XXX,XXX,XXX,XXX,XXX,XXX,XXX,
                         XXX,XXX,XXX,XXX,XXX,XXX,XXX,XXX,XXX,XXX,
                         XXX,XXX,XXX,XXX])
                    
                    
                    np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,XXX,np.nan,np.nan,np.nan,
                     XXX,XXX,XXX,np.nan,np.nan,XXX,XXX,np.nan,XXX,np.nan,
                     np.nan,np.nan,np.nan,XXX])
'''
time_surveys = np.array((datetime(2021,11,9,14,40,0).timestamp(),
                         datetime(2021,11,11,14,0,0).timestamp(),
                         datetime(2021,11,13,15,0,0).timestamp(),
                         datetime(2021,11,14,15,0,0).timestamp(),
                         datetime(2021,11,15,16,29,0).timestamp(),
                         datetime(2021,11,16,18,10,0).timestamp(),
                         datetime(2021,11,17,9,53,0).timestamp(),
                         datetime(2021,11,18,11,0,0).timestamp(),
                         datetime(2021,11,19,10,11,0).timestamp(),
                         datetime(2021,11,20,17,30,0).timestamp(),
                         
                         datetime(2021,11,21,11,30,0).timestamp(),
                         datetime(2021,11,21,16,30,0).timestamp(),
                         datetime(2021,11,21,22,0,0).timestamp(),
                         datetime(2021,11,22,10,30,0).timestamp(),
                         datetime(2021,11,23,12,0,0).timestamp(),
                         datetime(2021,11,24,11,46,0).timestamp(),
                         datetime(2021,11,25,14,30,0).timestamp(),
                         datetime(2021,11,26,11,0,0).timestamp(),
                         datetime(2021,11,27,15,0,0).timestamp(),
                         datetime(2021,11,28,16,0,0).timestamp(),
                         
                         datetime(2021,11,29,16,30,0).timestamp(),
                         datetime(2021,11,30,18,0,0).timestamp(),
                         datetime(2021,12,1,7,30,0).timestamp(),
                         datetime(2021,12,1,19,30,0).timestamp(),
                         datetime(2021,12,2,9,30,0).timestamp(),
                         datetime(2021,12,3,10,0,0).timestamp(),
                         datetime(2021,12,4,11,0,0).timestamp(),
                         datetime(2021,12,5,10,30,0).timestamp(),
                         datetime(2021,12,6,11,20,0).timestamp(),
                         datetime(2021,12,7,12,0,0).timestamp(),
                         
                         datetime(2021,12,8,13,50,0).timestamp(),
                         datetime(2021,12,9,14,15,0).timestamp(),
                         datetime(2021,12,10,15,0,0).timestamp(),
                         datetime(2021,12,12,12,30,0).timestamp(),                         
                         ))


print(pd.to_datetime(time_surveys, unit='s').tz_localize('GMT').tz_convert('CET'))
print(len(time_surveys))
#%%
instrument_heights_nov_dec_2021 = nc4.Dataset(r'20211109_20211215_instrument_heights.nc','w', format='NETCDF4')

instrument_heights_nov_dec_2021.createDimension('loc', 1)
instrument_heights_nov_dec_2021.createDimension('time', len(time_surveys))

instrument_heights_nov_dec_2021.description = 'Instrument coordinates and heights for instruments deployed between 2021-11-09 00:00:00 – 2021-12-16 00:00:00, for the Realdune - Reflex experiments on the Sand Engine, the Netherlands'

today = datetime.today()
instrument_heights_nov_dec_2021.history = "Created " + today.strftime("%y-%m-%d")

time = instrument_heights_nov_dec_2021.createVariable('time', 'i8', 'time')
time[:] = time_surveys

'''
Arrays for simplicity when pasting the raw instrument heights into the arrays for the instruments. 

x[:] = np.array([XXX,XXX,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,XXX,np.nan,np.nan,np.nan,XXX,XXX,XXX,np.nan,np.nan,XXX,XXX,np.nan,XXX,np.nan,
                 np.nan,np.nan,np.nan,XXX])
y[:] = np.array([XXX,XXX,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,XXX,np.nan,np.nan,np.nan,XXX,XXX,XXX,np.nan,np.nan,XXX,XXX,np.nan,XXX,np.nan,
                 np.nan,np.nan,np.nan,XXX])
z_old[:] = np.array([XXX,XXX,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,XXX,np.nan,np.nan,np.nan,XXX,XXX,XXX,np.nan,np.nan,XXX,XXX,np.nan,XXX,np.nan,
                 np.nan,np.nan,np.nan,XXX]) - instrument_height
z_new[:] = np.array([XXX,XXX,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,XXX,np.nan,np.nan,np.nan,XXX,XXX,XXX,np.nan,np.nan,XXX,XXX,np.nan,XXX,np.nan,
                 np.nan,np.nan,np.nan,XXX]) - instrument_height

h_new[:] = np.array([XXX,XXX,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                    np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,XXX,np.nan,np.nan,np.nan,
                    XXX,XXX,XXX,np.nan,np.nan,XXX,XXX,np.nan,XXX,np.nan,
                    np.nan,np.nan,np.nan,XXX])



'''
#%% RBR PRESSURE SENSORS
'''
Intervals in which RBR's were deployed

S01_RBR_01: 2021-11-11 15:00 - 2021-11-19 10:00, 2021-11-23 14:00 - 2021-12-04 08:00, 2021-12-04 12:00 - 2021-12-12 12:00
S07_RBR_02: 2021-11-09 15:00 - 2021-11-19 10:00, 2021-11-20 22:00 - 2021-12-03 10:00, 2021-12-04 12:00 - 2021-12-12 12:00
S08_RBR_03: 2021-11-09 15:00 - 2021-11-19 10:00, 2021-11-20 22:00 - 2021-12-03 10:00, 2021-12-04 12:00 - 2021-12-12 12:00

S11_RBR_04: 2021-11-11 15:00 - 2021-11-19 10:00, 2021-11-23 14:00 - 2021-12-03 10:00, 2021-12-04 12:00 - 2021-12-12 12:00
S13_RBR_05: 2021-11-09 15:00 - 2021-11-19 10:00, 2021-11-20 22:00 - 2021-12-03 10:00, 2021-12-04 12:00 - 2021-12-12 12:00
S14_RBR_06: 2021-11-09 15:00 - 2021-11-19 10:00, 2021-11-20 22:00 - 2021-12-03 10:00, 2021-12-04 12:00 - 2021-12-12 12:00
'''
instrument_height_rbr = 0.215

###### S01_RBR_01 ######

S01_RBR_01 = instrument_heights_nov_dec_2021.createGroup('S01_RBR_01')
S01_RBR_01.description = 'RDNAP coordinates and heights above the bed for S01_RBR_01'

time = S01_RBR_01.createVariable('time', 'i8', 'time')
x = S01_RBR_01.createVariable('x', 'g', 'time')  
y = S01_RBR_01.createVariable('y', 'g', 'time')
z_old = S01_RBR_01.createVariable('z_old', 'g', 'time')
z_new = S01_RBR_01.createVariable('z_new', 'g', 'time')
h_bed_old = S01_RBR_01.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S01_RBR_01.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys
x[:] = np.array([np.nan,72207.7705,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72208.1750,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
y[:] = np.array([np.nan,451951.1310,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,451950.6530,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
z_old[:] = np.array([np.nan,-1.1442,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-1.0110,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_rbr
z_old[:] = np.array([np.nan,-1.1442,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-1.0110,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_rbr - instrument_height_rbr
h_bed_old[:] = np.array([np.nan,np.nan,np.nan,35,37,35,np.nan,np.nan,25,np.nan,
                         np.nan,np.nan,np.nan,np.nan,np.nan,96,np.nan,np.nan,np.nan,np.nan,
                         np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,65.5,np.nan,
                         41,24,10,np.nan])/100
h_bed_new[:] = np.array([np.nan,np.nan,np.nan,35,37,35,np.nan,np.nan,np.nan,np.nan,
                         np.nan,np.nan,np.nan,np.nan,88,96,np.nan,np.nan,np.nan,np.nan,
                         np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,65.5,np.nan,
                         41,24,10,np.nan])/100


time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S01_RBR_01 [m]'
y.description = 'y-coordinate RDNAP for S01_RBR_01 [m]'
z_old.description = 'z-coordinate RDNAP for S01_RBR_01, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S01_RBR_01, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S01_RBR_01, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S01_RBR_01, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S07_RBR_02 ######
		   
S07_RBR_02 = instrument_heights_nov_dec_2021.createGroup('S07_RBR_02')
S07_RBR_02.description = 'RDNAP coordinates and heights above the bed for S07_RBR_02'

time = S07_RBR_02.createVariable('time', 'i8', 'time')
x = S07_RBR_02.createVariable('x', 'g', 'time')  
y = S07_RBR_02.createVariable('y', 'g', 'time')
z_old = S07_RBR_02.createVariable('z_old', 'g', 'time')
z_new = S07_RBR_02.createVariable('z_new', 'g', 'time')
h_bed_old = S07_RBR_02.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S07_RBR_02.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys

x[:] = np.array([np.nan,72283.9000,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72283.7823,np.nan,np.nan,np.nan,np.nan,72283.8280,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,72283.8230])
y[:] = np.array([np.nan,451914.0280,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,451913.9873,np.nan,np.nan,np.nan,np.nan,451913.9810,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,451914.1670])
z_old[:] = np.array([np.nan,1.2830 + instrument_height_rbr,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,1.1407,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,1.2230]) - instrument_height_rbr
z_new[:] = np.array([np.nan,1.2830 + instrument_height_rbr,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,1.1407,np.nan,np.nan,np.nan,np.nan,1.5325,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_rbr

h_bed_old[:]    = np.array([np.nan,np.nan,13, 1, -5, -1, 2, 16, 15, np.nan, 
                            18, np.nan, 30, 9, 13, 13, 12, 11, 14, -24, -37.5, 22,
                            13, 26, 31, 29.5, np.nan, 9, 12.5, 13, 9,14,
                            13.5, 13])/100 
h_bed_new[:]    = np.array([np.nan,np.nan,13, 1, 4, -1, 10, 16, np.nan, 10.5, 
                            18, np.nan, 9, 9, 13, 13, 12, 11, 14, -24, 17.5, 12,
                            13, 26, 19 , np.nan, 12, 9, 12.5, 13, 9, 14,
                            13.5, np.nan])/100 

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S07_RBR_02 [m]'
y.description = 'y-coordinate RDNAP for S07_RBR_02 [m]'
z_old.description = 'z-coordinate RDNAP for S07_RBR_02, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S07_RBR_02, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S07_RBR_02, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S07_RBR_02, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S08_RBR_03 ######		     

S08_RBR_03 = instrument_heights_nov_dec_2021.createGroup('S08_RBR_03')
S08_RBR_03.description = 'RDNAP coordinates and heights above the bed for S08_RBR_03'

time = S08_RBR_03.createVariable('time', 'i8', 'time')
x = S08_RBR_03.createVariable('x', 'g', 'time')  
y = S08_RBR_03.createVariable('y', 'g', 'time')
z_old = S08_RBR_03.createVariable('z_old', 'g', 'time')
z_new = S08_RBR_03.createVariable('z_new', 'g', 'time')
h_bed_old = S08_RBR_03.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S08_RBR_03.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys
x[:] = np.array([np.nan,72289.1940,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72289.1040,np.nan,np.nan,np.nan,np.nan,72289.1155,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,72289.1880])
y[:] = np.array([np.nan,451911.4680,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,451911.5073,np.nan,np.nan,np.nan,np.nan,451911.5135,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,451911.4570])
z_old[:] = np.array([np.nan,1.6270 + instrument_height_rbr,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,1.6853,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,1.4830]) - instrument_height_rbr
z_new[:] = np.array([np.nan,1.6270 + instrument_height_rbr,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,1.6853,np.nan,np.nan,np.nan,np.nan,1.7730,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_rbr
h_bed_old[:]    = np.array([np.nan,np.nan,5.5, 2, 2, 2, -2, 6, 10, np.nan,
                            11, 26,26, 11, 5, 3, 3, 4, 16, 0, 
                            -4, 18, 11, 22, 30, 22, np.nan, 15, 14, 18, 
                            12, 14, 15, 9])/100 
h_bed_new[:]    = np.array([np.nan,np.nan,5.5, 2, 2, 2, 10, 10, np.nan, 7,
                            11, 26, 11, 11, 5, 3, 3, 4, 16, 0,
                            14, 10, 11, 22, 12 , np.nan, 13.5, 15, 14, 11, 
                            12, 14, 15, np.nan])/100 

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S08_RBR_03 [m]'
y.description = 'y-coordinate RDNAP for S08_RBR_03 [m]'
z_old.description = 'z-coordinate RDNAP for S08_RBR_03, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S08_RBR_03, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S08_RBR_03, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S08_RBR_03, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S11_RBR_04 ######

S11_RBR_04 = instrument_heights_nov_dec_2021.createGroup('S11_RBR_04')
S11_RBR_04.description = 'RDNAP coordinates and heights above the bed for S11_RBR_04'

time = S11_RBR_04.createVariable('time', 'i8', 'time')
x = S11_RBR_04.createVariable('x', 'g', 'time')  
y = S11_RBR_04.createVariable('y', 'g', 'time')
z_old = S11_RBR_04.createVariable('z_old', 'g', 'time')
z_new = S11_RBR_04.createVariable('z_new', 'g', 'time')
h_bed_old = S11_RBR_04.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S11_RBR_04.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys
x[:] = np.array([np.nan,72513.0320,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72513.5000,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
y[:] = np.array([np.nan,452410.7235,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,452410.0050,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
z_old[:] = np.array([np.nan,-0.6365 + instrument_height_rbr,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-0.8800,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_rbr
z_new[:] = np.array([np.nan,-0.6365 + instrument_height_rbr,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-0.8800,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_rbr
h_bed_old[:]    = np.array([np.nan,np.nan,np.nan, 78, 71, 60, np.nan, np.nan, 39.5, np.nan, np.nan, np.nan,
                            np.nan, np.nan, np.nan, 68, np.nan, 65, np.nan, np.nan, np.nan,np.nan,
                            np.nan, np.nan, np.nan, np.nan, np.nan, np.nan, 89, np.nan, 86,np.nan,
                            np.nan, np.nan])/100 
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan, 78, 71, 60, np.nan, np.nan, np.nan, np.nan, np.nan, np.nan,
                            np.nan, np.nan, 53, 68, np.nan, 65, np.nan, np.nan, np.nan,np.nan,
                            np.nan, np.nan, np.nan, np.nan, np.nan, np.nan, 89, np.nan, 86,np.nan,
                            np.nan, np.nan])/100 

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S11_RBR_04 [m]'
y.description = 'y-coordinate RDNAP for S11_RBR_04 [m]'
z_old.description = 'z-coordinate RDNAP for S11_RBR_04, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S11_RBR_04, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S11_RBR_04, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S11_RBR_04, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S13_RBR_05 ######
		   
S13_RBR_05 = instrument_heights_nov_dec_2021.createGroup('S13_RBR_05')
S13_RBR_05.description = 'RDNAP coordinates and heights above the bed for S13_RBR_05'

time = S13_RBR_05.createVariable('time', 'i8', 'time')
x = S13_RBR_05.createVariable('x', 'g', 'time')  
y = S13_RBR_05.createVariable('y', 'g', 'time')
z_old = S13_RBR_05.createVariable('z_old', 'g', 'time')
z_new = S13_RBR_05.createVariable('z_new', 'g', 'time')
h_bed_old = S13_RBR_05.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S13_RBR_05.createVariable('h_bed_new', 'g', 'time')


time[:] = time_surveys
x[:] = np.array([72543.8030,72543.7010,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72543.7935,np.nan,np.nan,np.nan,72543.8240,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,72543.7890])
y[:] = np.array([452384.7060,452384.7290,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,452384.695,np.nan,np.nan,np.nan,452384.6540,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,452384.7320])
z_old[:] = np.array([np.nan,0.8170 + instrument_height_rbr,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,0.5845,np.nan,np.nan,np.nan,0.6030,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,0.5910]) - instrument_height_rbr
z_new[:] = np.array([0.7970 + instrument_height_rbr,0.8170 + instrument_height_rbr,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,0.5845,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_rbr
h_bed_old[:]    = np.array([np.nan,np.nan,-13, -31, 19, 15, 24, 36, 41, np.nan, 
                            7.5,np.nan, 18, 8, 0, -7, -11, 33, 4, 35,
                            41, 15,20, 20, 20, 4, np.nan, -4, 10, 10.5,
                            15, -6,-9, 29])/100 
h_bed_new[:]    = np.array([np.nan,np.nan,-13, 12, 19, 15, 11, 36, np.nan, 8.5, 
                            7.5,np.nan, 18, 8, 0, -7, 10, 15, 4, 35, 
                            10, 15,20, 20, 20, np.nan, 8, -4, 10, 10.5, 
                            15, -6,-9, np.nan])/100 

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S13_RBR_05 [m]'
y.description = 'y-coordinate RDNAP for S13_RBR_05 [m]'
z_old.description = 'z-coordinate RDNAP for S13_RBR_05, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S13_RBR_05, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S13_RBR_05, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S13_RBR_05, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S14_RBR_06 ######
	   
S14_RBR_06 = instrument_heights_nov_dec_2021.createGroup('S14_RBR_06')
S14_RBR_06.description = 'RDNAP coordinates and heights above the bed for S14_RBR_06'

time = S14_RBR_06.createVariable('time', 'i8', 'time')
x = S14_RBR_06.createVariable('x', 'g', 'time')  
y = S14_RBR_06.createVariable('y', 'g', 'time')
z_old = S14_RBR_06.createVariable('z_old', 'g', 'time')
z_new = S14_RBR_06.createVariable('z_new', 'g', 'time')
h_bed_old = S14_RBR_06.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S14_RBR_06.createVariable('h_bed_new', 'g', 'time')   

time[:] = time_surveys
x[:] = np.array([72555.5960,72555.3890,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72555.6965,np.nan,np.nan,np.nan,72555.7800,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,72555.7460])
y[:] = np.array([452375.0460,452375.0140,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,452375.0155,np.nan,np.nan,np.nan,452375.2380,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,452375.1450])
z_old[:] = np.array([np.nan,1.0450 + instrument_height_rbr,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,1.0480,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,0.7130]) - instrument_height_rbr
z_new[:] = np.array([1.0310 + instrument_height_rbr,1.0450 + instrument_height_rbr,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,0.9765,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_rbr

h_bed_old[:]    = np.array([np.nan,np.nan,20, -8, -19, 24, 5.5, 29, 18, np.nan, 
                            8.5, np.nan, 24.5, 22, 2, -5, -38, -23, -15, -21,
                            8, 21, 15, 10, 18, 25.5, np.nan, 15, -15.5, 18, 
                            22, 31, 5, -12])/100 
h_bed_new[:]    = np.array([np.nan,np.nan,20, 7, -19, 24, 10.5, 11, np.nan, np.nan, 
                            8.5, np.nan, 24.5, 2, 2, -5, -38, -23, -15, -21, 
                            8, 10, 15, 10, 18, np.nan, 9, 15, 9.5, 18, 
                            22, 0, 5, np.nan])/100 

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S14_RBR_06 [m]'
y.description = 'y-coordinate RDNAP for S14_RBR_06 [m]'
z_old.description = 'z-coordinate RDNAP for S14_RBR_06, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S14_RBR_06, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S14_RBR_06, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S14_RBR_06, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

#%% OSSI PRESSURE TRANSDUCERS
'''
Intervals in which OSSI's were deployed

OSSI: 2021-11-09 17:00 - 2021-11-19 10:00, 2021-11-20 22:00 - 2021-12-12 12:00

instrument_height_ossi = 2.54*0.145 = 0.368 m
'''
instrument_height_ossi = 2.54*0.145

cap_height_normal = 0.0027
cap_height_ossi_2 = 0.0029
cap_height_ossi_5 = 0.0032

###### S02_OSSI_01 ######

S02_OSSI_01 = instrument_heights_nov_dec_2021.createGroup('S02_OSSI_01')
S02_OSSI_01.description = 'RDNAP coordinates and heights above the bed for S02_OSSI_01'

time = S02_OSSI_01.createVariable('time', 'i8', 'time')
x = S02_OSSI_01.createVariable('x', 'g', 'time')  
y = S02_OSSI_01.createVariable('y', 'g', 'time')
z_old = S02_OSSI_01.createVariable('z_old', 'g', 'time')
z_new = S02_OSSI_01.createVariable('z_new', 'g', 'time')
h_bed_old = S02_OSSI_01.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S02_OSSI_01.createVariable('h_bed_new', 'g', 'time')
	  
time[:] = time_surveys
x[:] = np.array([np.nan,72223.0305,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72223.1100,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,72223.0660])
y[:] = np.array([np.nan,451943.5105,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,451943.3850,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,451943.3400])
z_old[:] = np.array([np.nan,0.5*0.0350 + 0.5*(-0.3480 + instrument_height_ossi),np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-0.2370,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,-0.2480]) - instrument_height_ossi
z_new[:] = np.array([np.nan,0.5*0.0350 + 0.5*(-0.3480 + instrument_height_ossi),np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-0.2370,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_ossi
h_bed_old[:]    = np.array([np.nan,np.nan,54,37,26,38,16,58,21,np.nan,
                            20,np.nan,20,38,38,50,48,40,58,78,
                            70,np.nan,40,np.nan,np.nan,53,28,14,30,13,
                            10,10,11,20])/100 + cap_height_normal
h_bed_new[:]    = np.array([np.nan,np.nan,54,10,26,38,16,21,np.nan,20,
                            20,np.nan,20,38,38,50,48,40,58,78,
                            70,np.nan,40,np.nan,np.nan,53,28,14,30,13,
                            10,10,11,np.nan])/100 + cap_height_normal
		  
time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S02_OSSI_01 [m]'
y.description = 'y-coordinate RDNAP for S02_OSSI_01 [m]'
z_old.description = 'z-coordinate RDNAP for S02_OSSI_01, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S02_OSSI_01, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S02_OSSI_01, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S02_OSSI_01, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S03_OSSI_02 ######

S03_OSSI_02 = instrument_heights_nov_dec_2021.createGroup('S03_OSSI_02')
S03_OSSI_02.description = 'RDNAP coordinates and heights above the bed for S03_OSSI_02'

time = S03_OSSI_02.createVariable('time', 'i8', 'time')
x = S03_OSSI_02.createVariable('x', 'g', 'time')  
y = S03_OSSI_02.createVariable('y', 'g', 'time')
z_old = S03_OSSI_02.createVariable('z_old', 'g', 'time')
z_new = S03_OSSI_02.createVariable('z_new', 'g', 'time')
h_bed_old = S03_OSSI_02.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S03_OSSI_02.createVariable('h_bed_new', 'g', 'time')
		   	  		   		   
time[:] = time_surveys
x[:] = np.array([np.nan,72238.5970,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72238.6773,np.nan,np.nan,np.nan,np.nan,72238.6740,np.nan,np.nan,np.nan,72238.7150,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,72238.6520])
y[:] = np.array([np.nan,451935.9650,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,451935.9657,np.nan,np.nan,np.nan,np.nan,451935.9313,np.nan,np.nan,np.nan,451936.0380,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,451935.9740])
z_old[:] = np.array([np.nan,0.4620 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,0.5157,np.nan,np.nan,np.nan,np.nan,0.4005,np.nan,np.nan,np.nan,0.3860,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,0.0600]) - instrument_height_ossi
z_new[:] = np.array([np.nan,0.4620 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,0.5157,np.nan,np.nan,np.nan,np.nan,0.4005,np.nan,np.nan,np.nan,0.3860,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_ossi
h_bed_old[:]    = np.array([np.nan,np.nan,-5,7,3,1.5,17,25,28.5, np.nan,
                            18,np.nan,-15,11,0,-1,17,27,22,48,
                            -11.5,31,39,np.nan,np.nan,25,27,29,17,32,
                            14,18,4,-13])/100 + cap_height_ossi_2
h_bed_new[:]    = np.array([np.nan,np.nan,-5,7,3,1.5,17,25,np.nan,10.3,
                            18,np.nan,5.5, 11,0,-1,17,27,22,16,
                            10,31,39,np.nan,np.nan,25,27,29,17,13,
                            14,5,4,np.nan])/100 + cap_height_ossi_2 

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S03_OSSI_02 [m]'
y.description = 'y-coordinate RDNAP for S03_OSSI_02 [m]'
z_old.description = 'z-coordinate RDNAP for S03_OSSI_02, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S03_OSSI_02, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S03_OSSI_02, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S03_OSSI_02, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S04_OSSI_03 ######

S04_OSSI_03 = instrument_heights_nov_dec_2021.createGroup('S04_OSSI_03')
S04_OSSI_03.description = 'RDNAP coordinates and heights above the bed for S04_OSSI_03'

time = S04_OSSI_03.createVariable('time', 'i8', 'time')
x = S04_OSSI_03.createVariable('x', 'g', 'time')  
y = S04_OSSI_03.createVariable('y', 'g', 'time')
z_old = S04_OSSI_03.createVariable('z_old', 'g', 'time')
z_new = S04_OSSI_03.createVariable('z_new', 'g', 'time')
h_bed_old = S04_OSSI_03.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S04_OSSI_03.createVariable('h_bed_new', 'g', 'time')
			     		   
time[:] = time_surveys
x[:] = np.array([np.nan,72256.0730,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72255.9860,np.nan,np.nan,np.nan,np.nan,72256.0160,np.nan,np.nan,np.nan,72256.0000,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,72256.0780])
y[:] = np.array([np.nan,451927.7040,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,451927.5743,np.nan,np.nan,np.nan,np.nan,451927.5880,np.nan,np.nan,np.nan,451927.4710,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,451927.6880])
z_old[:] = np.array([np.nan,0.3870 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,0.8470,np.nan,np.nan,np.nan,0.6300,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,0.5660]) - instrument_height_ossi
z_new[:] = np.array([np.nan,0.3870 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,1.4170,np.nan,np.nan,np.nan,np.nan,0.8470,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_ossi
h_bed_old[:]    = np.array([np.nan,np.nan,11, -16, 8, 9, 0, -1, 10, np.nan, 
                            0, np.nan,-1,  -18, 3, -20, -33, 30.5, 19.5, 50,
                            54, 25, 42, 33, 21, -25, 24, 22, 11, 25, 
                            15, 22, 6, 11])/100  + cap_height_normal
h_bed_new[:]    = np.array([np.nan,np.nan,11, 11, 8, 9, 11, 11, np.nan, 8.5, 
                            0,np.nan,-1,  0, 3, -20, 10, 17, 19.5, 50, 
                            10.5, 25,25, 33, 21, 11, 9, 22, 11, 10, 
                            15, 6, 6, np.nan])/100  + cap_height_normal
		   
time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S04_OSSI_03 [m]'
y.description = 'y-coordinate RDNAP for S04_OSSI_03 [m]'
z_old.description = 'z-coordinate RDNAP for S04_OSSI_03, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S04_OSSI_03, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S04_OSSI_03, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S04_OSSI_03, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S05_OSSI_04 ######

S05_OSSI_04 = instrument_heights_nov_dec_2021.createGroup('S05_OSSI_04')
S05_OSSI_04.description = 'RDNAP coordinates and heights above the bed for S05_OSSI_04'

time = S05_OSSI_04.createVariable('time', 'i8', 'time')
x = S05_OSSI_04.createVariable('x', 'g', 'time')  
y = S05_OSSI_04.createVariable('y', 'g', 'time')
z_old = S05_OSSI_04.createVariable('z_old', 'g', 'time')
z_new = S05_OSSI_04.createVariable('z_new', 'g', 'time')
h_bed_old = S05_OSSI_04.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S05_OSSI_04.createVariable('h_bed_new', 'g', 'time')
		   			   	 		     
time[:] = time_surveys
x[:] = np.array([np.nan,72268.0620,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72267.9780,np.nan,np.nan,np.nan,np.nan,72268.0200,np.nan,np.nan,np.nan,72268.0350,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,72268.0320])
y[:] = np.array([np.nan,451921.8620,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,451921.8373,np.nan,np.nan,np.nan,np.nan,451921.7920,np.nan,np.nan,np.nan,451921.8150,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,451921.7970])
z_old[:] = np.array([np.nan,0.8860 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,1.2310,np.nan,np.nan,np.nan,1.1530,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,0.7840]) - instrument_height_ossi
z_new[:] = np.array([np.nan,0.8860 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,1.1953,np.nan,np.nan,np.nan,np.nan,1.2310,np.nan,np.nan,np.nan,1.1530,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_ossi
h_bed_old[:]    = np.array([np.nan,np.nan,13,32,14,13,16,10,-3, np.nan,
                            0, np.nan, -5, -7, -5, -4, -14, -19, 16, 28, 
                            30, np.nan,33.5, 39, 35, 26, 38, 11, 6, 11, 
                            10, 9.5, 2, 5])/100  + cap_height_normal
h_bed_new[:]    = np.array([np.nan,np.nan,13,11,14,13,10,10,np.nan,7.5,
                            0, np.nan, -5, 6,-5,-4,3,4,16,28,
                            10,np.nan,25,39,35,26,10,11,6,11,
                            10,2.5,2,np.nan])/100  + cap_height_normal

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S05_OSSI_04 [m]'
y.description = 'y-coordinate RDNAP for S05_OSSI_04 [m]'
z_old.description = 'z-coordinate RDNAP for S05_OSSI_04, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S05_OSSI_04, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S05_OSSI_04, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S05_OSSI_04, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S09_OSSI_05 ######
		  
S09_OSSI_05 = instrument_heights_nov_dec_2021.createGroup('S09_OSSI_05')
S09_OSSI_05.description = 'RDNAP coordinates and heights above the bed for S09_OSSI_05'

time = S09_OSSI_05.createVariable('time', 'i8', 'time')
x = S09_OSSI_05.createVariable('x', 'g', 'time')  
y = S09_OSSI_05.createVariable('y', 'g', 'time')
z_old = S09_OSSI_05.createVariable('z_old', 'g', 'time')
z_new = S09_OSSI_05.createVariable('z_new', 'g', 'time')
h_bed_old = S09_OSSI_05.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S09_OSSI_05.createVariable('h_bed_new', 'g', 'time')
				   			      
time[:] = time_surveys
x[:] = np.array([np.nan,72295.1100,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72295.0437,np.nan,np.nan,np.nan,np.nan,72295.0445,np.nan,np.nan,np.nan,72295.0290,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,72295.0370])
y[:] = np.array([np.nan,451908.7050,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,451908.6867,np.nan,np.nan,np.nan,np.nan,451908.7040,np.nan,np.nan,np.nan,451908.6280,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,451908.6460])
z_old[:] = np.array([np.nan,2.4120 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,2.2820,np.nan,np.nan,np.nan,np.nan,2.4580,np.nan,np.nan,np.nan,2.1740,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,2.0600]) - instrument_height_ossi
z_new[:] = np.array([np.nan,2.4120 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,2.2820,np.nan,np.nan,np.nan,np.nan,2.4580,np.nan,np.nan,np.nan,2.1740,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_ossi

h_bed_old[:]    = np.array([np.nan,np.nan,8.5, 11, 9, 10, 10, 7, 10.5, np.nan, 
                            10, 22,26, 11, 11, 10, np.nan, -11, -17, 11, 
                            12, 8,5.5, 15, 38, 7, 8, 15, 13, 19, 
                            8, 9, 9, 8])/100 + cap_height_ossi_5
h_bed_new[:]    = np.array([np.nan,np.nan,8.5, 11, 9, 10, 10, 10, np.nan, 14,
                            10,22,11.5,11,11,10,np.nan,-11,7.5,11,
                            12,8,5.5,15,11,7,8,15,13,9,
                            8,9,9,np.nan])/100  + cap_height_ossi_5

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S09_OSSI_05 [m]'
y.description = 'y-coordinate RDNAP for S09_OSSI_05 [m]'
z_old.description = 'z-coordinate RDNAP for S09_OSSI_05, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S09_OSSI_05, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S09_OSSI_05, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S09_OSSI_05, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S10_OSSI_06 ######

S10_OSSI_06 = instrument_heights_nov_dec_2021.createGroup('S10_OSSI_06')
S10_OSSI_06.description = 'RDNAP coordinates and heights above the bed for S10_OSSI_06'

time = S10_OSSI_06.createVariable('time', 'i8', 'time')
x = S10_OSSI_06.createVariable('x', 'g', 'time')  
y = S10_OSSI_06.createVariable('y', 'g', 'time')
z_old = S10_OSSI_06.createVariable('z_old', 'g', 'time')
z_new = S10_OSSI_06.createVariable('z_new', 'g', 'time')
h_bed_old = S10_OSSI_06.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S10_OSSI_06.createVariable('h_bed_new', 'g', 'time')
	   				   		      
time[:] = time_surveys
x[:] = np.array([np.nan,72302.1470,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72302.0617,np.nan,np.nan,np.nan,np.nan,72302.1100,np.nan,np.nan,np.nan,72302.0040,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,72302.0110])
y[:] = np.array([np.nan,451905.1850,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,451905.2050,np.nan,np.nan,np.nan,np.nan,451905.0995,np.nan,np.nan,np.nan,451905.1810,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,451905.1700])
z_old[:] = np.array([np.nan,3.2980 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,3.1927,np.nan,np.nan,np.nan,np.nan,3.5490,np.nan,np.nan,np.nan,2.9310,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,2.9180]) - instrument_height_ossi
z_new[:] = np.array([np.nan,3.2980 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,3.1927,np.nan,np.nan,np.nan,np.nan,3.5490,np.nan,np.nan,np.nan,2.9310,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_ossi
h_bed_old[:]    = np.array([np.nan,np.nan,10, 6, 5, 10, 10, 9, 10, np.nan, 
                            np.nan, np.nan,15, 15, np.nan, 15, np.nan,0, -7, 0, 
                            -5, -10,11, 7, 74, 7, 5, 5, 3, 4.5, 
                            2, 0, 0, 7])/100 + cap_height_normal 
h_bed_new[:]    = np.array([np.nan,np.nan,10, 6, 5, 10, 10, 9, np.nan,17, 
                            np.nan, np.nan,15, 15, np.nan, 15, np.nan, 0, -7, 0, 
                            8, 13,11, 7, 11, 7, 5, 5, 3, 4.5, 
                            2, 0, 0, np.nan])/100 + cap_height_normal 

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S10_OSSI_06 [m]'
y.description = 'y-coordinate RDNAP for S10_OSSI_06 [m]'
z_old.description = 'z-coordinate RDNAP for S10_OSSI_06, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S10_OSSI_06, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S10_OSSI_06, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S10_OSSI_06, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S12_OSSI_07 ######

S12_OSSI_07 = instrument_heights_nov_dec_2021.createGroup('S12_OSSI_07')
S12_OSSI_07.description = 'RDNAP coordinates and heights above the bed for S12_OSSI_07'

time = S12_OSSI_07.createVariable('time', 'i8', 'time')
x = S12_OSSI_07.createVariable('x', 'g', 'time')  
y = S12_OSSI_07.createVariable('y', 'g', 'time')
z_old = S12_OSSI_07.createVariable('z_old', 'g', 'time')
z_new = S12_OSSI_07.createVariable('z_new', 'g', 'time')
h_bed_old = S12_OSSI_07.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S12_OSSI_07.createVariable('h_bed_new', 'g', 'time')
						   	   			       		   
time[:] = time_surveys
x[:] = np.array([72530.8880,72530.9130,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72530.9570,np.nan,np.nan,np.nan,72530.9460,72530.9160,np.nan,72530.9300,np.nan,
                 np.nan,np.nan,np.nan,72530.9630])
y[:] = np.array([452395.9630,452395.9470,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,452395.8190,np.nan,np.nan,np.nan,452395.8160,452395.7750,np.nan,452395.7820,np.nan,
                 np.nan,np.nan,np.nan,452395.8260])
z_old[:] = np.array([np.nan,0.6370 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,0.2615,np.nan,np.nan,np.nan,0.2750,0.2800,np.nan,0.2405,np.nan,
                 np.nan,np.nan,np.nan,0.0310]) - instrument_height_ossi
z_new[:] = np.array([0.6190 + instrument_height_ossi,0.6370 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,0.2615,np.nan,np.nan,np.nan,0.2750,0.2800,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_ossi
h_bed_old[:]    = np.array([np.nan,np.nan,30, 45, 19, 14, 21, 12, 6, np.nan, 
                            12, np.nan,-1, 4, 8, 12, 22, 19, 40, 44, 
                            29, 31, 29, 30, np.nan, 47, 42, 42, 36, 27, 
                            20, 34, 42, 33  ])/100 + cap_height_normal 
h_bed_new[:]    = np.array([np.nan,np.nan,30, 10, 19, 14, 21, 12, np.nan, 13, 
                            12, np.nan, -1, 4, 8, 12, 22, 19, 40, 44, 
                            29, 31,29, 30, np.nan, 47, 42, 42, 14, 27, 
                            20, 34, 42, np.nan])/100  + cap_height_normal

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S12_OSSI_07 [m]'
y.description = 'y-coordinate RDNAP for S12_OSSI_07 [m]'
z_old.description = 'z-coordinate RDNAP for S12_OSSI_07, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S12_OSSI_07, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S12_OSSI_07, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S12_OSSI_07, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S15_OSSI_08 ######

S15_OSSI_08 = instrument_heights_nov_dec_2021.createGroup('S15_OSSI_08')
S15_OSSI_08.description = 'RDNAP coordinates and heights above the bed for S15_OSSI_08'

time = S15_OSSI_08.createVariable('time', 'i8', 'time')
x = S15_OSSI_08.createVariable('x', 'g', 'time')  
y = S15_OSSI_08.createVariable('y', 'g', 'time')
z_old = S15_OSSI_08.createVariable('z_old', 'g', 'time')
z_new = S15_OSSI_08.createVariable('z_new', 'g', 'time')
h_bed_old = S15_OSSI_08.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S15_OSSI_08.createVariable('h_bed_new', 'g', 'time')
			    		    
time[:] = time_surveys
x[:] = np.array([72566.0030,72566.0720,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72566.1525,np.nan,np.nan,np.nan,72566.1540,72566.1370,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,72566.1300])
y[:] = np.array([452366.3510,452366.2600,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,452366.1815,np.nan,np.nan,np.nan,452366.2210,452366.1840,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,452366.2040])
z_old[:] = np.array([np.nan,1.9890 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,1.7070,1.7010,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,1.4250]) - instrument_height_ossi
z_new[:] = np.array([1.9840 + instrument_height_ossi,1.9890 + instrument_height_ossi,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,1.9285,np.nan,np.nan,np.nan,1.7070,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan]) - instrument_height_ossi
h_bed_old[:]    = np.array([np.nan,np.nan,2.5, 1, 10, 10, 10, 3, 0, np.nan, 
                            14.5, 40, 30, 4, 1, 2, 0, -2, -4, -26, 
                            4, 41, 19, 30, 23, 17, 22.5, 11, 13.5, 10, 
                            9, 9, 9, -14])/100 + cap_height_normal 
h_bed_new[:]    = np.array([np.nan,np.nan,2.5, 10, 10, 10, 10, 3, np.nan, 10, 
                            14.5, 40, 5.5, 4, 1, 2, 0, -2, -4, 0, 
                            4, 12, 19, 30, 0, 17, 6, 11, 4.5, 10, 
                            9, 9, 9, np.nan])/100 + cap_height_normal 

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S15_OSSI_08 [m]'
y.description = 'y-coordinate RDNAP for S15_OSSI_08 [m]'
z_old.description = 'z-coordinate RDNAP for S15_OSSI_08, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S15_OSSI_08, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S15_OSSI_08, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S15_OSSI_08, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

#%% ADV pressure sensors + velocimeters + OBS'es
'''
Intervals in which ADV's were deployed

S01_ADV_01: 2021-11-14 16:00 - 2021-12-13 11:00
S06_ADV_02: 2021-11-13 17:00 - 2021-11-29 14:00, 2021-11-30 19:00 - 2021-12-13 11:00
S11_ADV_03: 2021-11-16 22:00 - 2021-12-13 11:00
S14_ADV_04: 2021-11-18 14:00 – 2021-12-06 11:00, 2021-12-09 16:00 – 2021-12-15 9:00

'''
instrument_height_adv_flex = 0.067 + 0.087 + 0.157 # Distance from top clamp to probe volume
instrument_height_adv_fix = 0.824 - 0.086*np.tan(np.pi/6) + 0.157 # Distance from top ADV to prove volume (see user manual)
instrument_height_adv_fix_pres = 0.578
distance_bulb_to_probe_volume = 0.157

###### S01_ADV_01 ######

###### S01_ADV_01_vel ######

S01_ADV_01_vel = instrument_heights_nov_dec_2021.createGroup('S01_ADV_01_vel')
S01_ADV_01_vel.description = 'RDNAP coordinates and heights above the bed for S01_ADV_01_vel'

time = S01_ADV_01_vel.createVariable('time', 'i8', 'time')
x = S01_ADV_01_vel.createVariable('x', 'g', 'time')  
y = S01_ADV_01_vel.createVariable('y', 'g', 'time')
z_old = S01_ADV_01_vel.createVariable('z_old', 'g', 'time')
z_new = S01_ADV_01_vel.createVariable('z_new', 'g', 'time')
h_bed_old = S01_ADV_01_vel.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S01_ADV_01_vel.createVariable('h_bed_new', 'g', 'time')
		  
time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72207.6620,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,451950.9290,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-0.9050,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_adv_flex
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-0.9050,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_adv_flex

h_bed_old[:]    = np.array([np.nan,np.nan,np.nan, np.nan, 64, 63, np.nan, np.nan, 52, np.nan, 
                            np.nan, np.nan, np.nan, 80, np.nan, 104, np.nan, np.nan, np.nan, np.nan, 
                            np.nan, np.nan,np.nan, np.nan, np.nan, np.nan, np.nan, np.nan, 83, np.nan, 
                            48, 20, 25, 59])/100 - distance_bulb_to_probe_volume
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan, 63, 64, 63, np.nan, np.nan, 52, np.nan, 
                            np.nan, np.nan,np.nan, 80, np.nan, 104, np.nan, np.nan, np.nan, np.nan, 
                            np.nan, np.nan,np.nan, np.nan, np.nan, np.nan, np.nan, np.nan, 83, np.nan, 
                            48, 20, 25, 59])/100 - distance_bulb_to_probe_volume

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S01_ADV_01_vel [m]'
y.description = 'y-coordinate RDNAP for S01_ADV_01_vel [m]'
z_old.description = 'z-coordinate RDNAP for S01_ADV_01_vel, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S01_ADV_01_vel, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S01_ADV_01_vel, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S01_ADV_01_vel, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S01_ADV_01_pres ######

S01_ADV_01_pres = instrument_heights_nov_dec_2021.createGroup('S01_ADV_01_pres')
S01_ADV_01_pres.description = 'RDNAP coordinates and heights above the bed for S01_ADV_01_pres'

time = S01_ADV_01_pres.createVariable('time', 'i8', 'time')
x = S01_ADV_01_pres.createVariable('x', 'g', 'time')  
y = S01_ADV_01_pres.createVariable('y', 'g', 'time')
z_old = S01_ADV_01_pres.createVariable('z_old', 'g', 'time')
z_new = S01_ADV_01_pres.createVariable('z_new', 'g', 'time')
h_bed_old = S01_ADV_01_pres.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S01_ADV_01_pres.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys
		  
x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72207.9030,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,451951.3780,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-0.7430,np.nan,
                     np.nan,np.nan,np.nan,np.nan])
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-0.7430,np.nan,
                     np.nan,np.nan,np.nan,np.nan])

h_bed_old[:]    = np.array([np.nan,np.nan,np.nan, np.nan, 64, 63, np.nan, np.nan, 52, np.nan, 
                            np.nan, np.nan, np.nan, 80, np.nan, 104, np.nan, np.nan, np.nan, np.nan, 
                            np.nan, np.nan,np.nan, np.nan, np.nan, np.nan, np.nan, np.nan, 83, np.nan, 
                            48, 20, 25, 59])/100 - distance_bulb_to_probe_volume + instrument_height_adv_flex + (-0.743 - -0.905)
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan, 63, 64, 63, np.nan, np.nan, 52, np.nan, 
                            np.nan, np.nan,np.nan, 80, np.nan, 104, np.nan, np.nan, np.nan, np.nan, 
                            np.nan, np.nan,np.nan, np.nan, np.nan, np.nan, np.nan, np.nan, 83, np.nan, 
                            48, 20, 25, 59])/100 - distance_bulb_to_probe_volume + instrument_height_adv_flex + (-0.743 - -0.905)

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S01_ADV_01_pres [m]'
y.description = 'y-coordinate RDNAP for S01_ADV_01_pres [m]'
z_old.description = 'z-coordinate RDNAP for S01_ADV_01_pres, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S01_ADV_01_pres, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S01_ADV_01_pres, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S01_ADV_01_pres, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

#%%

###### S06_ADV_02 ######

###### S06_ADV_02_vel ######

S06_ADV_02_vel = instrument_heights_nov_dec_2021.createGroup('S06_ADV_02_vel')
S06_ADV_02_vel.description = 'RDNAP coordinates and heights above the bed for S06_ADV_02_vel'

time = S06_ADV_02_vel.createVariable('time', 'i8', 'time')
x = S06_ADV_02_vel.createVariable('x', 'g', 'time')  
y = S06_ADV_02_vel.createVariable('y', 'g', 'time')
z_old = S06_ADV_02_vel.createVariable('z_old', 'g', 'time')
z_new = S06_ADV_02_vel.createVariable('z_new', 'g', 'time')
h_bed_old = S06_ADV_02_vel.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S06_ADV_02_vel.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys
		   			   	   
		   
x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72275.2987,np.nan,np.nan,np.nan,
                 np.nan,72275.2645,np.nan,np.nan,np.nan,72275.4190,np.nan,np.nan,72275.6175,np.nan,
                 np.nan,np.nan,np.nan,72275.3100])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,451917.9880,np.nan,np.nan,np.nan,
                 np.nan,451917.9880,np.nan,np.nan,np.nan,451917.8890,np.nan,np.nan,451917.8600,np.nan,
                 np.nan,np.nan,np.nan,451917.9800])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,1.8737,np.nan,np.nan,np.nan,
                     np.nan,1.8950,np.nan,np.nan,np.nan,1.9160,np.nan,np.nan,1.9070,np.nan,
                     np.nan,np.nan,np.nan,1.6700]) - instrument_height_adv_fix
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,1.8737,np.nan,np.nan,np.nan,
                     np.nan,1.8950,np.nan,np.nan,np.nan,1.9160,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,1.6700]) - instrument_height_adv_fix
		 
h_bed_old[:]    = np.array([np.nan,np.nan,np.nan,34,38,40,39,43,42,51,
                            67,np.nan,62,56,64,40,43,18,12,14.5,
                            12,np.nan,28.5,43,45.5,53,54,52.5,54.5,30.5,
                            29,29,29,33])/100  - distance_bulb_to_probe_volume
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan,34,38,40,39,43,42,51,
                            67,np.nan,62,56,64,40,43,18,12,14.5,
                            np.nan,23,28.5,43,45.5,53,54,52.5,32,30.5,
                            29,29,29,33])/100  - distance_bulb_to_probe_volume

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S06_ADV_02_vel [m]'
y.description = 'y-coordinate RDNAP for S06_ADV_02_vel [m]'
z_old.description = 'z-coordinate RDNAP for S06_ADV_02_vel, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S06_ADV_02_vel, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S06_ADV_02_vel, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S06_ADV_02_vel, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S06_ADV_02_con_1 ######

S06_ADV_02_con_1 = instrument_heights_nov_dec_2021.createGroup('S06_ADV_02_con_1')
S06_ADV_02_con_1.description = 'RDNAP coordinates and heights above the bed for S06_ADV_02_con_1, which is the upper OBS'

time = S06_ADV_02_con_1.createVariable('time', 'i8', 'time')
x = S06_ADV_02_con_1.createVariable('x', 'g', 'time')  
y = S06_ADV_02_con_1.createVariable('y', 'g', 'time')
z_old = S06_ADV_02_con_1.createVariable('z_old', 'g', 'time')
z_new = S06_ADV_02_con_1.createVariable('z_new', 'g', 'time')
h_bed_old = S06_ADV_02_con_1.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S06_ADV_02_con_1.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72275.2987,np.nan,np.nan,np.nan,
                 np.nan,72275.2645,np.nan,np.nan,np.nan,72275.4190,np.nan,np.nan,72275.6175,np.nan,
                 np.nan,np.nan,np.nan,72275.3100])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,451917.9880,np.nan,np.nan,np.nan,
                 np.nan,451917.9880,np.nan,np.nan,np.nan,451917.8890,np.nan,np.nan,451917.8600,np.nan,
                 np.nan,np.nan,np.nan,451917.9800])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,1.8737 - 0.07,np.nan,np.nan,np.nan,np.nan,1.8950 - 0.11,np.nan,np.nan,np.nan,1.9160 - 0.11,np.nan,np.nan,1.9070 - 0.11,np.nan,
                 np.nan,np.nan,np.nan,1.6700 - 0.065]) - instrument_height_adv_fix + distance_bulb_to_probe_volume
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,1.8737 - 0.07,np.nan,np.nan,np.nan,np.nan,1.8950 - 0.11,np.nan,np.nan,np.nan,1.9160 - 0.11,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,1.6700 - 0.065]) - instrument_height_adv_fix + distance_bulb_to_probe_volume

h_bed_old[:]    = np.concatenate((np.array([np.nan,np.nan,np.nan,34,38,40,39,43,42,51,
                                            67,np.nan,62,56,64,40,43,18,12,14.5,
                                            12]) - 7.0,
                                  np.array([np.nan,28.5,43,45.5,53,54,52.5,54.5]) - 11,
                                  np.array([30.5,29,29,29,33]) - 6.5))/100
h_bed_new[:]    = np.concatenate((np.array([np.nan,np.nan,np.nan,34,38,40,39,43,42,51,
                                            67,np.nan,62,56,64,40,43,18,12,14.5,
                                            np.nan]) - 7.0,
                                  np.array([23,28.5,43,45.5,53,54,52.5]) - 11,
                                  np.array([32,30.5,29,29,29,33]) - 6.5))/100

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S06_ADV_02_con_1 [m]'
y.description = 'y-coordinate RDNAP for S06_ADV_02_con_1 [m]'
z_old.description = 'z-coordinate RDNAP for S06_ADV_02_con_1, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S06_ADV_02_con_1, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S06_ADV_02_con_1, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S06_ADV_02_con_1, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S06_ADV_02_con_2 ######

S06_ADV_02_con_2 = instrument_heights_nov_dec_2021.createGroup('S06_ADV_02_con_2')
S06_ADV_02_con_2.description = 'RDNAP coordinates and heights above the bed for S06_ADV_02_con_2, which is the lower OBS'

time = S06_ADV_02_con_2.createVariable('time', 'i8', 'time')
x = S06_ADV_02_con_2.createVariable('x', 'g', 'time')  
y = S06_ADV_02_con_2.createVariable('y', 'g', 'time')
z_old = S06_ADV_02_con_2.createVariable('z_old', 'g', 'time')
z_new = S06_ADV_02_con_2.createVariable('z_new', 'g', 'time')
h_bed_old = S06_ADV_02_con_2.createVariable('h_bed_old', 'g', 'time') 
h_bed_new = S06_ADV_02_con_2.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72275.2987,np.nan,np.nan,np.nan,
                 np.nan,72275.2645,np.nan,np.nan,np.nan,72275.4190,np.nan,np.nan,72275.6175,np.nan,
                 np.nan,np.nan,np.nan,72275.3100])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,451917.9880,np.nan,np.nan,np.nan,
                 np.nan,451917.9880,np.nan,np.nan,np.nan,451917.8890,np.nan,np.nan,451917.8600,np.nan,
                 np.nan,np.nan,np.nan,451917.9800])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,1.8737 - 0.155,np.nan,np.nan,np.nan,np.nan,1.8950 - 0.195,np.nan,np.nan,np.nan,1.9160 - 0.195,np.nan,np.nan,1.9070 - 0.195,np.nan,
                 np.nan,np.nan,np.nan,1.6700 - 0.15]) - instrument_height_adv_fix + distance_bulb_to_probe_volume
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,1.8737 - 0.155,np.nan,np.nan,np.nan,np.nan,1.8950 - 0.195,np.nan,np.nan,np.nan,1.9160 - 0.195,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,1.6700 - 0.15]) - instrument_height_adv_fix + distance_bulb_to_probe_volume

h_bed_old[:]    = np.concatenate((np.array([np.nan,np.nan,np.nan,34,38,40,39,43,42,51,
                                            67,np.nan,62,56,64,40,43,18,12,14.5,
                                            12]) - 15.5,
                                  np.array([np.nan,28.5,43,45.5,53,54,52.5,54.5]) - 19.5,
                                  np.array([30.5,29,29,29,33]) - 15))/100
h_bed_new[:]    = np.concatenate((np.array([np.nan,np.nan,np.nan,34,38,40,39,43,42,51,
                                            67,np.nan,62,56,64,40,43,18,12,14.5,
                                            np.nan]) - 15.5,
                                  np.array([23,28.5,43,45.5,53,54,52.5]) - 19.5,
                                  np.array([32,30.5,29,29,29,33]) - 15))/100

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S06_ADV_02_con_2 [m]'
y.description = 'y-coordinate RDNAP for S06_ADV_02_con_2 [m]'
z_old.description = 'z-coordinate RDNAP for S06_ADV_02_con_2, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S06_ADV_02_con_2, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S06_ADV_02_con_2, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S06_ADV_02_con_2, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S06_ADV_02_pres ######

S06_ADV_02_pres = instrument_heights_nov_dec_2021.createGroup('S06_ADV_02_pres')
S06_ADV_02_pres.description = 'RDNAP coordinates and heights above the bed for S06_ADV_02_pres'

time = S06_ADV_02_pres.createVariable('time', 'i8', 'time')
x = S06_ADV_02_pres.createVariable('x', 'g', 'time')  
y = S06_ADV_02_pres.createVariable('y', 'g', 'time')
z_old = S06_ADV_02_pres.createVariable('z_old', 'g', 'time')
z_new = S06_ADV_02_pres.createVariable('z_new', 'g', 'time')
h_bed_old = S06_ADV_02_pres.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S06_ADV_02_pres.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72275.2987,np.nan,np.nan,np.nan,
                 np.nan,72275.2645,np.nan,np.nan,np.nan,72275.4190,np.nan,np.nan,72275.6175,np.nan,
                 np.nan,np.nan,np.nan,72275.3100])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,451917.9880,np.nan,np.nan,np.nan,
                 np.nan,451917.9880,np.nan,np.nan,np.nan,451917.8890,np.nan,np.nan,451917.8600,np.nan,
                 np.nan,np.nan,np.nan,451917.9800])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,1.8737,np.nan,np.nan,np.nan,np.nan,1.8950,np.nan,np.nan,np.nan,1.9160,np.nan,np.nan,1.9070,np.nan,
                 np.nan,np.nan,np.nan,1.6700]) - instrument_height_adv_fix_pres
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,1.8737,np.nan,np.nan,np.nan,np.nan,1.8950,np.nan,np.nan,np.nan,1.9160,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,1.6700]) - instrument_height_adv_fix_pres

h_bed_old[:]    = np.array([np.nan,np.nan,np.nan,34,38,40,39,43,42,51,
                            67,np.nan,62,56,64,40,43,18,12,14.5,
                            12,np.nan,28.5,43,45.5,53,54,52.5,54.5,30.5,
                            29,29,29,33])/100  - distance_bulb_to_probe_volume + instrument_height_adv_fix - instrument_height_adv_fix_pres
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan,34,38,40,39,43,42,51,
                            67,np.nan,62,56,64,40,43,18,12,14.5,
                            np.nan,23,28.5,43,45.5,53,54,52.5,32,30.5,
                            29,29,29,33])/100  - distance_bulb_to_probe_volume + instrument_height_adv_fix - instrument_height_adv_fix_pres

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S06_ADV_02_pres [m]'
y.description = 'y-coordinate RDNAP for S06_ADV_02_pres [m]'
z_old.description = 'z-coordinate RDNAP for S06_ADV_02_pres, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S06_ADV_02_pres, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S06_ADV_02_pres, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S06_ADV_02_pres, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

#%%

###### S11_ADV_03 ######

###### S11_ADV_03_vel ######

S11_ADV_03_vel = instrument_heights_nov_dec_2021.createGroup('S11_ADV_03_vel')
S11_ADV_03_vel.description = 'RDNAP coordinates and heights above the bed for S11_ADV_03_vel'

time = S11_ADV_03_vel.createVariable('time', 'i8', 'time')
x = S11_ADV_03_vel.createVariable('x', 'g', 'time')  
y = S11_ADV_03_vel.createVariable('y', 'g', 'time')
z_old = S11_ADV_03_vel.createVariable('z_old', 'g', 'time')
z_new = S11_ADV_03_vel.createVariable('z_new', 'g', 'time')
h_bed_old = S11_ADV_03_vel.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S11_ADV_03_vel.createVariable('h_bed_new', 'g', 'time')


time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72512.9500,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,452410.4225,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-0.3755,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_adv_fix
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-0.3755,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_adv_fix

h_bed_old[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,48,58,43,np.nan,60,np.nan,np.nan,
                            np.nan,np.nan,np.nan, np.nan, np.nan, np.nan, np.nan, np.nan, 77.5, np.nan, 
                            82, np.nan,np.nan, np.nan])/100  - distance_bulb_to_probe_volume
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,40,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,48,58,43,np.nan,60,np.nan,np.nan,
                            np.nan,np.nan,np.nan, np.nan, np.nan, np.nan, np.nan, np.nan, 77.5, np.nan, 
                            82, np.nan,np.nan, np.nan])/100  - distance_bulb_to_probe_volume

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S11_ADV_03_vel [m]'
y.description = 'y-coordinate RDNAP for S11_ADV_03_vel [m]'
z_old.description = 'z-coordinate RDNAP for S11_ADV_03_vel, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S11_ADV_03_vel, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S11_ADV_03_vel, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S11_ADV_03_vel, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S11_ADV_03_pres ######

S11_ADV_03_pres = instrument_heights_nov_dec_2021.createGroup('S11_ADV_03_pres')
S11_ADV_03_pres.description = 'RDNAP coordinates and heights above the bed for S11_ADV_03_pres'

time = S11_ADV_03_pres.createVariable('time', 'i8', 'time')
x = S11_ADV_03_pres.createVariable('x', 'g', 'time')  
y = S11_ADV_03_pres.createVariable('y', 'g', 'time')
z_old = S11_ADV_03_pres.createVariable('z_old', 'g', 'time')
z_new = S11_ADV_03_pres.createVariable('z_new', 'g', 'time')
h_bed_old = S11_ADV_03_pres.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S11_ADV_03_pres.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72512.9500,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,452410.4225,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-0.3755,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_adv_fix_pres
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,-0.3755,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_adv_fix_pres

h_bed_old[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,48,58,43,np.nan,60,np.nan,np.nan,
                            np.nan,np.nan,np.nan, np.nan, np.nan, np.nan, np.nan, np.nan, 77.5, np.nan, 
                            82, np.nan,np.nan, np.nan])/100 - distance_bulb_to_probe_volume + instrument_height_adv_fix - instrument_height_adv_fix_pres
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,40,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,48,58,43,np.nan,60,np.nan,np.nan,
                            np.nan,np.nan,np.nan, np.nan, np.nan, np.nan, np.nan, np.nan, 77.5, np.nan, 
                            82, np.nan,np.nan, np.nan])/100 - distance_bulb_to_probe_volume + instrument_height_adv_fix - instrument_height_adv_fix_pres

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S11_ADV_03_pres [m]'
y.description = 'y-coordinate RDNAP for S11_ADV_03_pres [m]'
z_old.description = 'z-coordinate RDNAP for S11_ADV_03_pres, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S11_ADV_03_pres, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S11_ADV_03_pres, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S11_ADV_03_pres, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

#%%

###### S14_ADV_04 ######

###### S14_ADV_04_vel ######

S14_ADV_04_vel = instrument_heights_nov_dec_2021.createGroup('S14_ADV_04_vel')
S14_ADV_04_vel.description = 'RDNAP coordinates and heights above the bed for S14_ADV_04_vel'

time = S14_ADV_04_vel.createVariable('time', 'i8', 'time')
x = S14_ADV_04_vel.createVariable('x', 'g', 'time')  
y = S14_ADV_04_vel.createVariable('y', 'g', 'time')
z_old = S14_ADV_04_vel.createVariable('z_old', 'g', 'time')
z_new = S14_ADV_04_vel.createVariable('z_new', 'g', 'time')
h_bed_old = S14_ADV_04_vel.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S14_ADV_04_vel.createVariable('h_bed_new', 'g', 'time')
		   
time[:] = time_surveys		   
		   		   
x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72555.3715,np.nan,np.nan,np.nan,72555.4280,np.nan,np.nan,72555.5142,np.nan,
                 np.nan,np.nan,np.nan,72555.3330])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,452374.7420,np.nan,np.nan,np.nan,452374.8100,np.nan,np.nan,452374.6820,np.nan,
                 np.nan,np.nan,np.nan,452374.7900])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,1.9455,np.nan,np.nan,np.nan,2.0220,np.nan,np.nan,2.0370,np.nan,
                 np.nan,np.nan,np.nan,1.6480]) - instrument_height_adv_fix
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,1.9455,np.nan,np.nan,np.nan,2.0220,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,1.6480]) - instrument_height_adv_fix

h_bed_old[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,40.5, np.nan,
                            39.5,np.nan,54.5,52,29,21,-10,4,10,7,
                            34,48,52,46,53,63,69,77,48,np.nan,
                            np.nan,np.nan,30,24])/100 - distance_bulb_to_probe_volume
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,35,40.5, np.nan,
                            39.5,np.nan,54.5,29,29,21,-10,4,10,7,
                            34,48,52,46,53,63,69,77,np.nan,np.nan,
                            np.nan,31,30,24])/100 - distance_bulb_to_probe_volume

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S14_ADV_04_vel [m]'
y.description = 'y-coordinate RDNAP for S14_ADV_04_vel [m]'
z_old.description = 'z-coordinate RDNAP for S14_ADV_04_vel, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S14_ADV_04_vel, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S14_ADV_04_vel, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S14_ADV_04_vel, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S14_ADV_04_con_1 ######

S14_ADV_04_con_1 = instrument_heights_nov_dec_2021.createGroup('S14_ADV_04_con_1')
S14_ADV_04_con_1.description = 'RDNAP coordinates and heights above the bed for S14_ADV_04_con_1, which is the upper OBS'

time = S14_ADV_04_con_1.createVariable('time', 'i8', 'time')
x = S14_ADV_04_con_1.createVariable('x', 'g', 'time')  
y = S14_ADV_04_con_1.createVariable('y', 'g', 'time')
z_old = S14_ADV_04_con_1.createVariable('z_old', 'g', 'time')
z_new = S14_ADV_04_con_1.createVariable('z_new', 'g', 'time')
h_bed_old = S14_ADV_04_con_1.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S14_ADV_04_con_1.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72555.3715,np.nan,np.nan,np.nan,72555.4280,np.nan,np.nan,72555.5142,np.nan,
                 np.nan,np.nan,np.nan,72555.3330])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,452374.7420,np.nan,np.nan,np.nan,452374.8100,np.nan,np.nan,452374.6820,np.nan,
                 np.nan,np.nan,np.nan,452374.7900])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,1.9455 - 0.07,np.nan,np.nan,np.nan,2.0220 - 0.07,np.nan,np.nan,2.0370 - 0.07,np.nan,
                     np.nan,np.nan,np.nan,1.4873]) - instrument_height_adv_fix + distance_bulb_to_probe_volume
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,1.9455 - 0.07,np.nan,np.nan,np.nan,2.0220 - 0.07,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,1.4873]) - instrument_height_adv_fix + distance_bulb_to_probe_volume

h_bed_old[:]    = np.concatenate((np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,40.5 + 13.5]),
                                  np.array([np.nan,54.5,39.5,np.nan,52]) - 7.5,
                                  np.array([29,21,-10,4,10,7,34,48,52,46,53,63,69,77,48]) - 7,
                                  np.array([np.nan,np.nan,np.nan,30-6.5,10])))/100

h_bed_new[:]    = np.concatenate((np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,35+13.5]),
                                  np.array([40.5,np.nan,54.5,39.5,np.nan]) - 7.5,
                                  np.array([29,29,21,-10,4,10,7,34,48,52,46,53,63,69,77]) - 7,
                                  np.array([np.nan,np.nan,np.nan,31-6.5,30-6.5,10])))/100

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S14_ADV_04_con_1 [m]'
y.description = 'y-coordinate RDNAP for S14_ADV_04_con_1 [m]'
z_old.description = 'z-coordinate RDNAP for S14_ADV_04_con_1, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S14_ADV_04_con_1, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S14_ADV_04_con_1, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S14_ADV_04_con_1, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S14_ADV_04_con_2 ######

S14_ADV_04_con_2 = instrument_heights_nov_dec_2021.createGroup('S14_ADV_04_con_2')
S14_ADV_04_con_2.description = 'RDNAP coordinates and heights above the bed for S14_ADV_04_con_2, which is the lower OBS'

time = S14_ADV_04_con_2.createVariable('time', 'i8', 'time')
x = S14_ADV_04_con_2.createVariable('x', 'g', 'time')  
y = S14_ADV_04_con_2.createVariable('y', 'g', 'time')
z_old = S14_ADV_04_con_2.createVariable('z_old', 'g', 'time')
z_new = S14_ADV_04_con_2.createVariable('z_new', 'g', 'time')
h_bed_old = S14_ADV_04_con_2.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S14_ADV_04_con_2.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72555.3715,np.nan,np.nan,np.nan,72555.4280,np.nan,np.nan,72555.5142,np.nan,
                 np.nan,np.nan,np.nan,72555.3330])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,452374.7420,np.nan,np.nan,np.nan,452374.8100,np.nan,np.nan,452374.6820,np.nan,
                 np.nan,np.nan,np.nan,452374.7900])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,1.9455 - 0.105,np.nan,np.nan,np.nan,2.0220 - 0.105,np.nan,np.nan,2.0370 - 0.105,np.nan,
                     np.nan,np.nan,np.nan,1.4573]) - instrument_height_adv_fix + distance_bulb_to_probe_volume
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,1.9455 - 0.105,np.nan,np.nan,np.nan,2.0220 - 0.105,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,1.4573]) - instrument_height_adv_fix + distance_bulb_to_probe_volume

h_bed_old[:]    = np.concatenate((np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,40.5 + 10.5]),
                                  np.array([np.nan,54.5,39.5,np.nan,52]) - 17,
                                  np.array([29,21,-10,4,10,7,34,48,52,46,53,63,69,77,48]) - 10.5,
                                  np.array([np.nan,np.nan,np.nan,30-10,6])))/100

h_bed_new[:]    = np.concatenate((np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,35+10.5]),
                                  np.array([40.5,np.nan,54.5,39.5,np.nan]) - 17,
                                  np.array([29,29,21,-10,4,10,7,34,48,52,46,53,63,69,77]) - 10.5,
                                  np.array([np.nan,np.nan,np.nan,31-10,30-10,6])))/100
 
time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S14_ADV_04_con_2 [m]'
y.description = 'y-coordinate RDNAP for S14_ADV_04_con_2 [m]'
z_old.description = 'z-coordinate RDNAP for S14_ADV_04_con_2, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S14_ADV_04_con_2, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S14_ADV_04_con_2, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S14_ADV_04_con_2, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S14_ADV_04_pres ######

S14_ADV_04_pres = instrument_heights_nov_dec_2021.createGroup('S14_ADV_04_pres')
S14_ADV_04_pres.description = 'RDNAP coordinates and heights above the bed for S14_ADV_04_pres'

time = S14_ADV_04_pres.createVariable('time', 'i8', 'time')
x = S14_ADV_04_pres.createVariable('x', 'g', 'time')  
y = S14_ADV_04_pres.createVariable('y', 'g', 'time')
z_old = S14_ADV_04_pres.createVariable('z_old', 'g', 'time')
z_new = S14_ADV_04_pres.createVariable('z_new', 'g', 'time')
h_bed_old = S14_ADV_04_pres.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S14_ADV_04_pres.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,72555.3715,np.nan,np.nan,np.nan,72555.4280,np.nan,np.nan,72555.5142,np.nan,
                 np.nan,np.nan,np.nan,72555.3330])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,452374.7420,np.nan,np.nan,np.nan,452374.8100,np.nan,np.nan,452374.6820,np.nan,
                 np.nan,np.nan,np.nan,452374.7900])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,1.9455,np.nan,np.nan,np.nan,2.0220,np.nan,np.nan,2.0370,np.nan,
                 np.nan,np.nan,np.nan,1.6480]) - instrument_height_adv_fix_pres
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,1.9455,np.nan,np.nan,np.nan,2.0220,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,1.6480]) - instrument_height_adv_fix_pres

h_bed_old[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,40.5, np.nan,
                            39.5,np.nan,54.5,52,29,21,-10,4,10,7,
                            34,48,52,46,53,63,69,77,48,np.nan,
                            np.nan,np.nan,30,24])/100 - distance_bulb_to_probe_volume  - distance_bulb_to_probe_volume + instrument_height_adv_fix - instrument_height_adv_fix_pres
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,35,40.5, np.nan,
                            39.5,np.nan,54.5,29,29,21,-10,4,10,7,
                            34,48,52,46,53,63,69,77,np.nan,np.nan,
                            np.nan,31,30,24])/100 - distance_bulb_to_probe_volume  - distance_bulb_to_probe_volume + instrument_height_adv_fix - instrument_height_adv_fix_pres

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S14_ADV_04_pres [m]'
y.description = 'y-coordinate RDNAP for S14_ADV_04_pres [m]'
z_old.description = 'z-coordinate RDNAP for S14_ADV_04_pres, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S14_ADV_04_pres, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S14_ADV_04_pres, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S14_ADV_04_pres, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

# JFE's

'''
Intervals in which JFE's were deployed 

2021-11-30 22:00 - 2021-12-03 10:00
'''

instrument_height_jfe = 0.124

###### S07_JFE_01 ######


S07_JFE_01 = instrument_heights_nov_dec_2021.createGroup('S07_JFE_01')
S07_JFE_01.description = 'RDNAP coordinates and heights above the bed for S07_JFE_01'

time = S07_JFE_01.createVariable('time', 'i8', 'time')
x = S07_JFE_01.createVariable('x', 'g', 'time')  
y = S07_JFE_01.createVariable('y', 'g', 'time')
z_old = S07_JFE_01.createVariable('z_old', 'g', 'time')
z_new = S07_JFE_01.createVariable('z_new', 'g', 'time')
h_bed_old = S07_JFE_01.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S07_JFE_01.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72283.9480,np.nan,np.nan,np.nan,72284.0310,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,451914.3130,np.nan,np.nan,np.nan,451914.3443,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,1.4193,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_jfe
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,1.5410,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_jfe

h_bed_old[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,28,34.5,42,42.5,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan])/100 
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,24.5,28,34.5,29,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan])/100 

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S07_JFE_01 [m]'
y.description = 'y-coordinate RDNAP for S07_JFE_01 [m]'
z_old.description = 'z-coordinate RDNAP for S07_JFE_01, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S07_JFE_01, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S07_JFE_01, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S07_JFE_01, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S08_JFE_02 ######


S08_JFE_02 = instrument_heights_nov_dec_2021.createGroup('S08_JFE_02')
S08_JFE_02.description = 'RDNAP coordinates and heights above the bed for S08_JFE_02'

time = S08_JFE_02.createVariable('time', 'i8', 'time')
x = S08_JFE_02.createVariable('x', 'g', 'time')  
y = S08_JFE_02.createVariable('y', 'g', 'time')
z_old = S08_JFE_02.createVariable('z_old', 'g', 'time')
z_new = S08_JFE_02.createVariable('z_new', 'g', 'time')
h_bed_old = S08_JFE_02.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S08_JFE_02.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72289.3795,np.nan,np.nan,np.nan,72289.4060,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,451911.8405,np.nan,np.nan,np.nan,451911.7667,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,1.6517,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_jfe
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,1.8000,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_jfe

h_bed_old[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,25,32,40,33.5,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan])/100 
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,21,25,32,26,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan])/100 

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S08_JFE_02 [m]'
y.description = 'y-coordinate RDNAP for S08_JFE_02 [m]'
z_old.description = 'z-coordinate RDNAP for S08_JFE_02, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S08_JFE_02, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S08_JFE_02, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S08_JFE_02, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S09_JFE_03 ######


S09_JFE_03 = instrument_heights_nov_dec_2021.createGroup('S09_JFE_03')
S09_JFE_03.description = 'RDNAP coordinates and heights above the bed for S09_JFE_03'

time = S09_JFE_03.createVariable('time', 'i8', 'time')
x = S09_JFE_03.createVariable('x', 'g', 'time')  
y = S09_JFE_03.createVariable('y', 'g', 'time')
z_old = S09_JFE_03.createVariable('z_old', 'g', 'time')
z_new = S09_JFE_03.createVariable('z_new', 'g', 'time')
h_bed_old = S09_JFE_03.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S09_JFE_03.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72295.1920,np.nan,np.nan,np.nan,72295.1967,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,451909.0510,np.nan,np.nan,np.nan,451909.0253,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,2.0350,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_jfe
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,2.3020,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_jfe

h_bed_old[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,18,29,51,23.5,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan])/100 
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,22,18,29,26,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan])/100 

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S09_JFE_03 [m]'
y.description = 'y-coordinate RDNAP for S09_JFE_03 [m]'
z_old.description = 'z-coordinate RDNAP for S09_JFE_03, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S09_JFE_03, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S09_JFE_03, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S09_JFE_03, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'

###### S10_JFE_04 ######


S10_JFE_04 = instrument_heights_nov_dec_2021.createGroup('S10_JFE_04')
S10_JFE_04.description = 'RDNAP coordinates and heights above the bed for S10_JFE_04'

time = S10_JFE_04.createVariable('time', 'i8', 'time')
x = S10_JFE_04.createVariable('x', 'g', 'time')  
y = S10_JFE_04.createVariable('y', 'g', 'time')
z_old = S10_JFE_04.createVariable('z_old', 'g', 'time')
z_new = S10_JFE_04.createVariable('z_new', 'g', 'time')
h_bed_old = S10_JFE_04.createVariable('h_bed_old', 'g', 'time')  
h_bed_new = S10_JFE_04.createVariable('h_bed_new', 'g', 'time')

time[:] = time_surveys

x[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,72302.0400,np.nan,np.nan,np.nan,72295.3918,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
y[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                 np.nan,451905.5540,np.nan,np.nan,np.nan,451908.6775,np.nan,np.nan,np.nan,np.nan,
                 np.nan,np.nan,np.nan,np.nan])
z_old[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,2.2483,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_jfe
z_new[:] = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,3.3915,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                     np.nan,np.nan,np.nan,np.nan]) - instrument_height_jfe

h_bed_old[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,23,22,72,23.5,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan])/100 
h_bed_new[:]    = np.array([np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,29,23,22,26,np.nan,np.nan,np.nan,np.nan,np.nan,
                            np.nan,np.nan,np.nan,np.nan])/100 

time.description = 'time in unix epoch time (seconds after 1970-01-01 00:00:00 UTC)'
x.description = 'x-coordinate RDNAP for S10_JFE_04 [m]'
y.description = 'y-coordinate RDNAP for S10_JFE_04 [m]'
z_old.description = 'z-coordinate RDNAP for S10_JFE_04, before (possible) height adjustment [m]'
z_new.description = 'z-coordinate RDNAP for S10_JFE_04, after (possible) height adjustment [m]'
h_bed_old.description = 'height above the bed of the sensor of S10_JFE_04, before (possible) height adjustment [m]'
h_bed_new.description = 'height above the bed of the sensor of S10_JFE_04, after (possible) height adjustment [m]'

time.units = 's'
x.units = 'm'
y.units = 'm'
z_old.units = 'm'
z_new.units = 'm'
h_bed_old.units = 'm'
h_bed_new.units = 'm'
#%%
instrument_heights_nov_dec_2021.close()

#%%
instrument_heights_nov_dec_2021 = nc4.Dataset(r'20211109_20211215_instrument_heights.nc','r')

#%%
print(pd.to_datetime(instrument_heights_nov_dec_2021['S10_JFE_04']['time'][21] + 3600, unit='s'))
print(instrument_heights_nov_dec_2021['S10_JFE_04']['z_new'][21])

#%%

instrument_heights_nov_dec_2021.close()



#%%

















